---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View delivery note

Returns details of a delivery note

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Delivery Note",
      "description": "Delivery notes."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/deliveryNotes/{id}": {
      "get": {
        "tags": [
          "Delivery Note"
        ],
        "operationId": "deliveryNote.view",
        "summary": "View delivery note",
        "description": "Returns details of a delivery note",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "object",
                      "additionalProperties": false,
                      "properties": {
                        "id": {
                          "type": "string",
                          "pattern": "\\d+",
                          "example": "17",
                          "description": "Resource identifier."
                        },
                        "documentNumber": {
                          "type": "string",
                          "description": "Internal identification for the delivery note",
                          "example": "200001"
                        },
                        "salesOrder": {
                          "description": "Nullable reference to another resource",
                          "type": "object",
                          "additionalProperties": false,
                          "nullable": true,
                          "required": [
                            "id"
                          ],
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            }
                          },
                          "example": {
                            "id": "1337"
                          }
                        },
                        "transactionNumber": {
                          "type": "string",
                          "description": "Transaction number associated with a delivery note",
                          "example": "transaction1"
                        },
                        "customerOrderNumber": {
                          "type": "string",
                          "description": "Customer order associated with a delivery note",
                          "example": "customerOrder1",
                          "nullable": true
                        },
                        "salesChannel": {
                          "description": "Nullable reference to another resource",
                          "type": "object",
                          "additionalProperties": false,
                          "nullable": true,
                          "required": [
                            "id"
                          ],
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            }
                          },
                          "example": {
                            "id": "1337"
                          }
                        },
                        "bodyIntroduction": {
                          "type": "string",
                          "description": "Initial description message for delivery note",
                          "example": "Initial info"
                        },
                        "bodyOutroduction": {
                          "type": "string",
                          "description": "Ending description message for delivery note",
                          "example": "Additional info"
                        },
                        "internalDesignation": {
                          "type": "string",
                          "description": "Internal designation for delivery note",
                          "example": "InternalDN1"
                        },
                        "date": {
                          "type": "string",
                          "format": "date",
                          "description": "Date of creation of a delivery note",
                          "example": "2025-01-01"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "completed",
                            "created",
                            "released",
                            "canceled",
                            "unknown"
                          ],
                          "description": "Status of the delivery note",
                          "example": "completed"
                        },
                        "customer": {
                          "type": "object",
                          "additionalProperties": false,
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            },
                            "number": {
                              "type": "string",
                              "nullable": true
                            }
                          },
                          "description": "Customer linked to a Sales Order",
                          "example": {
                            "id": "1"
                          }
                        },
                        "comment": {
                          "type": "string",
                          "example": "A comment about this delivery note",
                          "description": "Comment included in the delivery note",
                          "nullable": true
                        },
                        "project": {
                          "description": "Reference to another resource",
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "id"
                          ],
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            }
                          },
                          "example": {
                            "id": "1337"
                          }
                        },
                        "language": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "iso2"
                          ],
                          "properties": {
                            "iso2": {
                              "type": "string",
                              "description": "ISO 639-1 Code",
                              "nullable": true
                            }
                          },
                          "description": "Language information for a Sales Order",
                          "example": {
                            "iso2": "DE"
                          }
                        },
                        "updatedAt": {
                          "type": "string",
                          "format": "datetime",
                          "nullable": true,
                          "description": "Update date",
                          "example": "2024-10-15 15:03:46"
                        },
                        "log": {
                          "type": "object",
                          "additionalProperties": false,
                          "description": "Log information",
                          "properties": {
                            "createdAt": {
                              "type": "string",
                              "format": "date-time",
                              "nullable": true,
                              "description": "Creation date"
                            },
                            "createdBy": {
                              "type": "object",
                              "additionalProperties": false,
                              "description": "Author",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                },
                                "name": {
                                  "type": "string"
                                },
                                "email": {
                                  "type": "string",
                                  "format": "email"
                                }
                              }
                            }
                          },
                          "example": {
                            "createdAt": "2023-12-01 00:00:00",
                            "createdBy": {
                              "id": "1",
                              "name": "User 1"
                            }
                          }
                        },
                        "delivery": {
                          "allOf": [
                            {
                              "type": "object",
                              "properties": {
                                "shippingMethod": {
                                  "description": "Reference to another resource",
                                  "type": "object",
                                  "additionalProperties": false,
                                  "required": [
                                    "id"
                                  ],
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "pattern": "\\d+",
                                      "example": "17",
                                      "description": "Resource identifier."
                                    }
                                  },
                                  "example": {
                                    "id": "1337"
                                  }
                                },
                                "deliveryTerms": {
                                  "description": "Nullable reference to another resource",
                                  "type": "object",
                                  "additionalProperties": false,
                                  "nullable": true,
                                  "required": [
                                    "id"
                                  ],
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "pattern": "\\d+",
                                      "example": "17",
                                      "description": "Resource identifier."
                                    }
                                  },
                                  "example": {
                                    "id": "1337"
                                  }
                                },
                                "shippingAddress": {
                                  "type": "object",
                                  "additionalProperties": false,
                                  "required": [
                                    "name",
                                    "city",
                                    "country",
                                    "zipCode",
                                    "street"
                                  ],
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "enum": [
                                        "herr",
                                        "frau",
                                        "firma",
                                        "other"
                                      ]
                                    },
                                    "name": {
                                      "type": "string"
                                    },
                                    "department": {
                                      "type": "string"
                                    },
                                    "contactPerson": {
                                      "type": "string"
                                    },
                                    "subDepartment": {
                                      "type": "string"
                                    },
                                    "street": {
                                      "type": "string"
                                    },
                                    "zipCode": {
                                      "type": "string"
                                    },
                                    "city": {
                                      "type": "string"
                                    },
                                    "state": {
                                      "type": "string"
                                    },
                                    "country": {
                                      "type": "string"
                                    },
                                    "addressSupplement": {
                                      "type": "string"
                                    },
                                    "gln": {
                                      "type": "string"
                                    },
                                    "email": {
                                      "type": "string"
                                    },
                                    "title": {
                                      "type": "string"
                                    },
                                    "phoneNumber": {
                                      "type": "string"
                                    },
                                    "fax": {
                                      "type": "string"
                                    },
                                    "salutation": {
                                      "type": "string",
                                      "nullable": true
                                    }
                                  }
                                }
                              }
                            },
                            {
                              "type": "object",
                              "required": [
                                "shippingMethod"
                              ],
                              "properties": {
                                "shippingMethod": {
                                  "description": "Reference to another resource",
                                  "type": "object",
                                  "additionalProperties": false,
                                  "required": [
                                    "id"
                                  ],
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "pattern": "\\d+",
                                      "example": "17",
                                      "description": "Resource identifier."
                                    }
                                  },
                                  "example": {
                                    "id": "1337"
                                  }
                                },
                                "deliveryTerms": {
                                  "description": "Nullable reference to another resource",
                                  "type": "object",
                                  "additionalProperties": false,
                                  "nullable": true,
                                  "required": [
                                    "id"
                                  ],
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "pattern": "\\d+",
                                      "example": "17",
                                      "description": "Resource identifier."
                                    }
                                  },
                                  "example": {
                                    "id": "1337"
                                  }
                                },
                                "email": {
                                  "type": "string",
                                  "format": "email"
                                },
                                "conditions": {
                                  "type": "string"
                                }
                              }
                            }
                          ],
                          "description": "Delivery information for the delivery note",
                          "example": {
                            "autoShipping": true,
                            "fastLane": true,
                            "shippingMethod": {
                              "id": "1"
                            },
                            "shippingCosts": [
                              {
                                "id": "1",
                                "quantity": 3,
                                "shippingCostProduct": {
                                  "id": "1"
                                }
                              }
                            ],
                            "email": "user.email@email.org",
                            "conditions": "none"
                          }
                        },
                        "tags": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "type": {
                                "type": "string",
                                "nullable": true
                              },
                              "title": {
                                "type": "string",
                                "nullable": true
                              }
                            }
                          },
                          "description": "Tags associated with the delivery note",
                          "example": [
                            {
                              "id": "1"
                            }
                          ]
                        },
                        "positions": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "product",
                              "quantity"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "quantity": {
                                "type": "number",
                                "format": "float"
                              },
                              "deliveredQuantity": {
                                "type": "number",
                                "format": "float"
                              },
                              "comment": {
                                "type": "string"
                              },
                              "product": {
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "id"
                                ],
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  },
                                  "name": {
                                    "type": "string"
                                  },
                                  "description": {
                                    "type": "string"
                                  },
                                  "freeFields": {
                                    "type": "array",
                                    "nullable": true,
                                    "items": {
                                      "type": "object",
                                      "additionalProperties": false,
                                      "required": [
                                        "id",
                                        "value"
                                      ],
                                      "properties": {
                                        "id": {
                                          "type": "string",
                                          "pattern": "\\d+",
                                          "example": "17",
                                          "description": "Resource identifier."
                                        },
                                        "value": {
                                          "type": "string"
                                        }
                                      }
                                    }
                                  },
                                  "number": {
                                    "type": "string",
                                    "nullable": true
                                  }
                                }
                              },
                              "stockMovements": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "additionalProperties": false,
                                  "properties": {
                                    "storageLocation": {
                                      "type": "object",
                                      "additionalProperties": false,
                                      "properties": {
                                        "id": {
                                          "type": "string",
                                          "pattern": "\\d+",
                                          "example": "17",
                                          "description": "Resource identifier."
                                        }
                                      }
                                    },
                                    "warehouse": {
                                      "type": "object",
                                      "additionalProperties": false,
                                      "properties": {
                                        "id": {
                                          "type": "string",
                                          "pattern": "\\d+",
                                          "example": "17",
                                          "description": "Resource identifier."
                                        }
                                      }
                                    },
                                    "quantity": {
                                      "type": "number",
                                      "format": "float"
                                    },
                                    "qualityControlAttributes": {
                                      "type": "object",
                                      "additionalProperties": false,
                                      "nullable": true,
                                      "properties": {
                                        "quantity": {
                                          "type": "number",
                                          "format": "float"
                                        },
                                        "batch": {
                                          "type": "string",
                                          "nullable": true
                                        },
                                        "bestBeforeDate": {
                                          "type": "string",
                                          "format": "date",
                                          "nullable": true
                                        },
                                        "serialNumbers": {
                                          "type": "array",
                                          "nullable": true,
                                          "items": {
                                            "type": "object",
                                            "additionalProperties": false,
                                            "properties": {
                                              "number": {
                                                "type": "string"
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "description": "Items included within the delivery note",
                          "example": [
                            {
                              "product": {
                                "id": "1"
                              },
                              "quantity": 5
                            }
                          ]
                        }
                      },
                      "description": "Data representation of a single delivery note",
                      "example": {
                        "id": "1",
                        "documentNumber": "200001",
                        "salesOrder": {
                          "id": "1"
                        },
                        "transactionNumber": "transaction1",
                        "customerOrderNumber": "customerOrder1",
                        "salesChannel": {
                          "id": "1"
                        },
                        "bodyIntroduction": "Initial info",
                        "bodyOutroduction": "Additional info",
                        "internalDesignation": "internalDN1",
                        "date": "2025-01-01",
                        "status": "completed",
                        "customer": {
                          "id": "1"
                        },
                        "comment": "A comment about this delivery note",
                        "project": {
                          "id": "1"
                        },
                        "language": {
                          "iso2": "DE"
                        },
                        "log": {
                          "createdAt": "2023-12-01 00:00:00",
                          "createdBy": {
                            "id": "1",
                            "name": "User 1"
                          }
                        },
                        "delivery": {
                          "autoShipping": true,
                          "fastLane": true,
                          "shippingMethod": {
                            "id": "1"
                          },
                          "shippingCosts": [
                            {
                              "id": "1",
                              "quantity": 3,
                              "shippingCostProduct": {
                                "id": "1"
                              }
                            }
                          ],
                          "email": "user.email@email.org",
                          "conditions": "none"
                        },
                        "tags": [
                          {
                            "id": "1"
                          }
                        ],
                        "positions": [
                          {
                            "product": {
                              "id": "1"
                            },
                            "quantity": 5,
                            "comment": "Some comment",
                            "stockMovements": [
                              {
                                "storageLocation": {
                                  "id": "1"
                                },
                                "warehouse": {
                                  "id": "1"
                                },
                                "quantity": 5,
                                "qualityControlAttributes": {
                                  "quantity": 5,
                                  "batch": "batch1",
                                  "bestBeforeDate": null,
                                  "serialNumbers": null
                                }
                              }
                            ]
                          }
                        ]
                      }
                    }
                  }
                }
              },
              "application/pdf": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          }
        }
      }
    }
  }
}
```